#
# spec file for package forgejo-cli
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           forgejo-cli
Version:        0.1.1
Release:        bp160.1.7
Summary:        CLI application for interacting with Forgejo
License:        Apache-2.0 OR MIT
URL:            https://codeberg.org/Cyborus/forgejo-cli
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(openssl)

%description
%{summary}.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
%{cargo_install}

%files
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{_bindir}/fj

%changelog
* Fri Aug  9 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.1.1:
  * Suggest correct command when OAuth login isn't supported on an instance
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.1.0:
  * feat: add branch guessing on pr creation
  * fix: print message before reading in readline
  * fix: prioritize remote tracking branch in repo detection
  * fix: read detected pr from correct repo
  * fix: pr detection from branch
  * add status command
  * add user search
  * add list user orgs
  * add list user repos
* Fri May 10 2024 Richard Rahl <rrahl0@disroot.org>
- initial packaging
